IAM - Update Project Member
IAM - Update Project Member
Update the roles that a member holds on the project.
Authentication
AuthorizationBearer
Bearer token authentication using JWT tokens from Ory Kratos/Hydra
Path parameters
oauth_client_id
member
org_id
The org id
project_id
The project id
Request
This endpoint expects an object.
add
A list of project roles to grant to the member.
Roles in this list are applied to the member AFTER any removals specified in remove.
This may be combined with remove_all to replace the member’s entire role list.
remove
A list of project roles to revoke from the member.
remove_all
Removes all existing roles from the member. This may be combined with add to replace all existing roles that the member holds.
Response
Successful Response
member
The member identifier string, the format of which is ‘<subject_type>:<subject_id>’
roles
A list of roles that the member holds on an entity.
Some entities, such as Organizations, may contain members that exist without any roles.
name
The name of the member.
avatar_url
If avatar of the member, if it is supported by their subject type.
total_subjects
The total number of subjects that the member represents, which may be a value other than 1 if the member is not a User.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
